Package org.bukkit.event.player

# Class PlayerUnleashEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityUnleashEvent
org.bukkit.event.player.PlayerUnleashEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerUnleashEntityEvent extends EntityUnleashEvent implements Cancellable
Called prior to an entity being unleashed due to a player's action.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.entity.EntityUnleashEvent

`EntityUnleashEvent.UnleashReason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`PlayerUnleashEntityEvent(@NotNull Entity entity, @NotNull Player player)`
Deprecated.
`PlayerUnleashEntityEvent(@NotNull Entity entity, @NotNull Player player, boolean dropLeash)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Player`
`getPlayer()`
Returns the player who is unleashing the entity.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityUnleashEvent

`getHandlerList, getHandlers, getReason, isDropLeash, setDropLeash`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerUnleashEntityEvent

@Deprecated public PlayerUnleashEntityEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Player player)
Deprecated.

### PlayerUnleashEntityEvent

public PlayerUnleashEntityEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Player player, boolean dropLeash)

## Method Details

### getPlayer

@NotNull public @NotNull Player getPlayer()
Returns the player who is unleashing the entity.

Returns:
  The player

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Overrides:
  `isCancelled` in class `EntityUnleashEvent`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Overrides:
  `setCancelled` in class `EntityUnleashEvent`
Parameters:
  `cancel` - true if you wish to cancel this event